// AmbeTestView.h : interface of the CAmbeTestView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_AmbeTestVIEW_H__92E941A5_3220_46AB_85B3_A1A0ADA80AB1__INCLUDED_)
#define AFX_AmbeTestVIEW_H__92E941A5_3220_46AB_85B3_A1A0ADA80AB1__INCLUDED_

#include "Clock.h"
#include "ResizableFormView.h"
#include "colorbutton.h"
#include "StatusCtrl.h"
#include "Clock.h"
#include "StatusCtrl.h"
#include "Plotdata.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CAmbeTestView : public CResizableFormView
{
protected: // create from serialization only
	CAmbeTestView();
	DECLARE_DYNCREATE(CAmbeTestView)

public:
	//{{AFX_DATA(CAmbeTestView)
	enum { IDD = IDD_AMBETEST_FORM };
	CStatic	m_BitErrTxtCtrl;
	CStatic	m_TestTxtCtrl;
	CButton	m_OnLineButtonCtrl;
	BOOL	m_DTMFActive;
	BOOL	m_Recording;
	int		m_RateGroup;
	//}}AFX_DATA

// Attributes
public:
	CAmbeTestDoc* GetDocument();

// Operations
public:

CClock m_ClockCtrl;
CStatusCtrl m_StatusCtrl;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAmbeTestView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CAmbeTestView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CAmbeTestView)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnOnlinebutton();
	afx_msg void OnRunbutton();
	afx_msg void OnRecordcheck();
	afx_msg void OnVoicebutton();
	afx_msg void OnDestroy();
	afx_msg void OnDeltaposBiterrspin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSavebutton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void ValidateControls();
	void ServiceDTMFGen();

	BOOL m_AlreadyInitialized;
	char m_DTMFDigit;
	int m_DTMFTimer;
	int m_BitErrors;
	int m_LastStatus;
	UINT m_TimerID;
	CString m_Str;
	CPlotData* m_pCPlotData;
};

#ifndef _DEBUG  // debug version in AmbeTestView.cpp
inline CAmbeTestDoc* CAmbeTestView::GetDocument()
   { return (CAmbeTestDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AmbeTestVIEW_H__92E941A5_3220_46AB_85B3_A1A0ADA80AB1__INCLUDED_)
