// PlotData.h: interface for the CPlotData class.
//
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//

#if !defined(AFX_PLOTDATA_H__91277FC1_4F28_11D3_A232_00A0C996E7F5__INCLUDED_)
#define AFX_PLOTDATA_H__91277FC1_4F28_11D3_A232_00A0C996E7F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AmbeTestDoc.h"

#define DISPBUF_SIZE (2048)	//

class CPlotData  
{
public:
	CPlotData();
	virtual ~CPlotData();
//	public things for access
	void DrawPlot();
	void OnDrawPlot( HWND hWnd, CFormView* pView,CAmbeTestDoc* pDoc);


private:
// functions
	void PlotInData( CDC* pDC );
	void PlotOutData( CDC* pDC );
// variables
	CPen* m_pPenG;			//different colored pens used for drawing plots
	CPen* m_pPenY;
	CPen* m_pPenW;
	CPen* m_pPenR;
	CPen* m_pPenC;
	CPen* m_pPenB;
	INT* m_pDispBuf;

	CRect m_rInPlot;		// client Input screen rectangle coordinates
	RECT m_rInPlotsize;		// size of the input plot screen bitmap
	CBitmap m_bmInPlot;		// bitmap image of input plot window

	CRect m_rOutPlot;			// client output plot screen rectangle coordinates
	RECT m_rOutPlotsize;		// size of the output plot screen bitmap
	CBitmap m_bmOutPlot;		// bitmap image of output plot window
	CAmbeTestDoc *m_pDoc;
	CDC* m_pDC;
	HWND m_hViewWnd;
};

#endif // !defined(AFX_PLOTDATA_H__91277FC1_4F28_11D3_A232_00A0C996E7F5__INCLUDED_)
