// SoundCardDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AmbeTest.h"
#include "SoundCardDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSoundCardDlg dialog


CSoundCardDlg::CSoundCardDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSoundCardDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSoundCardDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CSoundCardDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSoundCardDlg)
	DDX_Control(pDX, IDC_SNDOUTINCOMBO, m_SndOutComboCtrl);
	DDX_Control(pDX, IDC_SNDINCOMBO, m_SndInComboCtrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSoundCardDlg, CDialog)
	//{{AFX_MSG_MAP(CSoundCardDlg)
	ON_CBN_KILLFOCUS(IDC_SNDINCOMBO, OnKillfocusSndincombo)
	ON_CBN_KILLFOCUS(IDC_SNDOUTINCOMBO, OnKillfocusSndoutincombo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSoundCardDlg message handlers

BOOL CSoundCardDlg::OnInitDialog() 
{
INT num = 0;
INT i=0;
WAVEOUTCAPS woc;
WAVEINCAPS wic;
	CDialog::OnInitDialog();
	
	m_SndOutComboCtrl.AddString( "Use Default SoundCard" );
	num = waveOutGetNumDevs();
	for( i=0; i<num; i++)
	{
		waveOutGetDevCaps(  i, &woc, sizeof(WAVEOUTCAPS) );
		m_SndOutComboCtrl.AddString( woc.szPname );
	}
	m_OutSoundCard++;
	if( m_OutSoundCard < 0 )
		m_OutSoundCard = 0;
	if( m_OutSoundCard > (num))
		m_OutSoundCard = num;
	m_SndOutComboCtrl.SetCurSel( m_OutSoundCard);
	m_OutSoundCard--;
	
	m_SndInComboCtrl.AddString( "Use Default SoundCard" );
	num = waveInGetNumDevs();
	for( i=0; i<num; i++)
	{
		waveInGetDevCaps(  i, &wic, sizeof(WAVEINCAPS) );
		m_SndInComboCtrl.AddString( wic.szPname );
	}
	m_InSoundCard++;
	if( m_InSoundCard > (num))
		m_InSoundCard = num;
	if( m_InSoundCard < 0 )
		m_InSoundCard = 0;
	m_SndInComboCtrl.SetCurSel( m_InSoundCard);
	m_InSoundCard--;
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSoundCardDlg::OnKillfocusSndincombo() 
{
	m_InSoundCard = m_SndInComboCtrl.GetCurSel()-1;
	
}

void CSoundCardDlg::OnKillfocusSndoutincombo() 
{
	m_OutSoundCard = m_SndOutComboCtrl.GetCurSel()-1;
	
}
