// ComDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AmbeTest.h"
#include "ComDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CComDlg dialog


CComDlg::CComDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CComDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CComDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_pDoc = NULL;
	m_ActiveComPort = 1;
}


void CComDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CComDlg)
	DDX_Control(pDX, IDC_COMCOMBO, m_ComComboCtrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CComDlg, CDialog)
	//{{AFX_MSG_MAP(CComDlg)
	ON_CBN_SELCHANGE(IDC_COMCOMBO, OnSelchangeComcombo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CComDlg message handlers

BOOL CComDlg::OnInitDialog() 
{
int index = 0;
CString Str;
	CDialog::OnInitDialog();
	
	//Fill in COM port selection box
	for(int port=1; port<32; port++)
	{
		Str.Format("COM%d", port);
		m_ComComboCtrl.AddString(Str);
		m_ComComboCtrl.SetItemData(index, port);
		if(m_ActiveComPort == port)
		{
			m_ComComboCtrl.SetCurSel(index);
		}
		index++;
	}	


	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CComDlg::OnSelchangeComcombo() 
{
	int index = m_ComComboCtrl.GetCurSel();
	m_ActiveComPort = m_ComComboCtrl.GetItemData(index);
}

